[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.Sort

Sorts the strings in the list.

## Declaration

Source position: classesh.inc line 862

`public procedure TStringList.Sort; virtual;`

## Description

Sort will sort the strings in the list using the quicksort algorithm. If the list has its TStringList.Sorted property set to True then nothing will be done.

## See also

TStringList.Sorted |  | Determines whether the list is sorted or not.